xneur (0.20.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:30:39 +0800

xneur (0.20.0-2) unstable; urgency=medium

  * d/control: Move VCS to Salsa.
  * Bump debhelper to 10.
  * d/control: Bump Standards-Version: no changes needed.
  * d/control: Remove useless build-depends dh-autoreconf.
  * d/xneur.lintian-overrides: Update overrides to modern lintian.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 19 Jul 2018 01:39:10 +0300

xneur (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0
  * 03-clang.patch removed, fixed upstream.
  * 01-fix-arg-parsing.patch refreshed.
  * debian/control etc.: update xneur and gxneur versions to 0.20.0.
  * New build-dependencies: intltool, libxtst-dev.
  * debian/rules: Override dh_test, cause check target is broken upstream.
  * Remove xneur-dbg, build autogenerated xneur-dbgsym instead.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 04 Dec 2016 03:29:28 +0300

xneur (0.19.0-1) unstable; urgency=medium

  * debian/watch: Update to new upstream file location.
  * Imported Upstream version 0.19.0
  * 01-fix-arg-parsing.patch refreshed.
  * 02-gstreamer.patch removed: fixed upstream.
  * debian/control: Wrap lists.
  * denian/control, debian/libxneur.lintian-overrides, debian/libxneur.shlibs: Update to new version of xneur.
  * debian/control: Bump Standards-Version.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 28 Jul 2016 01:17:39 +0300

xneur (0.17.0-2) unstable; urgency=medium

  * debian/patches/02-gstreamer.patch: Port to gstreamer-1.0 (Closes: #785857)
  * 03-clang.patch: Fix FTBFS with clang. (Closes: #751542)
    Thanks Alexander Ovchinnikov <sanek23994@gmail.com>
  * debian/watch updated.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 23 Sep 2015 20:30:01 +0300

xneur (0.17.0-1) unstable; urgency=medium

  * Imported Upstream version 0.17.0
  * 10_shmem_incorrect_usage.patch removed (Upstream code rewriten.)
  * debian/control: Update to new upstream version.
  * debian/control: Drop outdated conflicts.
  * debian/xneurrc.sed: Fix typo in config.
  * debian/xneurrc.sed: Update to newer config.
  * debian/control: Bump Standards-Version.
  * debian/control: Point Vcs-* to collab-maint.
  * Move from cdbs to dh. (Closes: #744683, #765278)
  * Add 01-fix-arg-parsing.patch (Closes: #716550).

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 25 Feb 2015 00:25:19 +0300

xneur (0.15.0-1) unstable; urgency=low

  * Imported Upstream version 0.15.0
  * debian/control etc: Version updated to 0.15.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 14 Nov 2011 23:36:18 +0400

xneur (0.13.0-1) unstable; urgency=low

  * Imported Upstream version 0.13.0
  * debian/control etc: Version updated to 0.13.
  * Removed patches 11_libnotify_0.7 and 12_remove_unused_vars - fixed
    upstream.
  * debian/control: Bump standard's version. No changes needed.
  * debian/control: Remove versioned depends on libnotify-dev.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 10 Oct 2011 01:54:23 +0400

xneur (0.12.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to libnotify 0.7. (Closes: #630311)
    - Add debian/patches/11_libnotify_0.7.patch.
    - Bump Build-Depends on libnotify-dev to (>= 0.7.0).
  * Remove unused nbytes variable from get_win_prop(). This fixes a FTBFS due
    to GCC 4.6 triggering new warnings for unused variables and the package
    using -Werror. (Closes: #625440)
    - Add debian/patches/12_remove_unused_vars.patch.
  * Clear dependency_libs in the libtool .la files.
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Aug 2011 01:45:05 +0200

xneur (0.12.0-1) unstable; urgency=low

  * Imported Upstream version 0.12.0
  * debian/control and friends: Update xneur's version.

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 04 Feb 2011 02:30:06 +0300

xneur (0.11.1-1) unstable; urgency=low

  * Imported Upstream version 0.11.1
  * debian/control: Removed obsolete build-depends: libimlib2-dev,
    libxpm-dev.
  * xneur's version updated.
  * debian/control: Replace libaspell with libenchant.
  * debian/rules: Added xneur.pc to PRESERVE_UPSTREAM.
  * Bump standard's version. No changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 10 Jan 2011 18:05:59 +0300

xneur (0.9.9-1) unstable; urgency=low

  * New Upstream version 0.9.9
  * debian/control, debian/*shlibs*: Version of xneur/gxneur increased.
  * 11_fix_ftbfs.patch removed: fixed upstream.
  * 01_shared_libxneur.patch removed: fixed upstream.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 22 May 2010 15:28:19 +0400

xneur (0.9.8-1) unstable; urgency=low

  * New Upstream releas 0.9.8
  * debian/control: recommends gxneur (>= 0.9.8).
  * debian/control: Vcs-* fields updated.
  * debian/watch updated.
  * debian/patches: 05_nonewline_fix and 06_fix_ftbfs removed: fixed
    upstream. 03_xneurrc replaced with build-time patch
    debian/xneurrc.sed.
  * debian/control: bump standatd's version, no changes needed.
  * 01_shared_libxneur.patch: build libxneur as shared library.
  * 11_fix_ftbfs.patch: fix FTBFS on some gcc versions.
  * Packages libxnconfig* were renamed to libxneur\1 due to upstream
    changes.
  * debian/rules: workaround to keep on clean some crap exists in
    orig.tar.gz

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 31 Mar 2010 18:18:58 +0400

xneur (0.9.7-4) unstable; urgency=low

  * Added debian/patches/06_fix_ftbfs.patch - fix FTBFS on several
    arches.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 27 Dec 2009 22:18:31 +0300

xneur (0.9.7-3) unstable; urgency=low

  * Fix previos upload: patches were unapplied.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 01 Dec 2009 11:36:14 +0300

xneur (0.9.7-2) unstable; urgency=low

  * Added Suggests: aspell-dictionary.
  * Install xneur's plug-ins into xneur package.
  * Switch to new dpkg v3(quilt) format.
  * Add lintian-overrides for xneur.portrm(postinst) calling ldconfig.
  * Mention "Closes" in previous changelog.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 25 Nov 2009 01:56:14 +0300

xneur (0.9.7-1) unstable; urgency=low

  * Imported Upstream version 0.9.6
  * Imported Upstream version 0.9.7 (Closes #492877, #490991).
  * Package name for libxnconfig and dependences updated to new version.
  * 02_plugins_test_makefile.patch and 04_plugins_dir.patch removed:
    fixed upstream.
  * No more run autoconf during build process.
  * 03_xneurrc.patch updated to new version.
  * 05_nonewline_fix.patch updated: old probles were fixed upstream, but
    there are some new.
  * Fix "weak-library-dev-dependency libxnconfig-dev on libxnconfig9.0.6
    (>= ${binary:Version})".

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 20 Oct 2009 19:15:13 +0400

xneur (0.9.5.1-2) unstable; urgency=low

  * debian/* switching to CDBS.
  * Added 05_nonewline_fix.patch: fix building with gcc4.1

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 21 Aug 2009 15:46:47 +0400

xneur (0.9.5.1-1) unstable; urgency=low

  * New Upstream Version.
  * debian/control: New build-dependens: libnotify-dev.
  * 03_xneurrc.dpatch updated to new version.
  * 01_config_installation.dpatch replaced with
    01_xneurrc_install.dpatch, because new version uses autotools.
  * Add 02_plugins_test_makefile.dpatch - fix plugin test building.
  * Add 04_plugins_dir.dpatch: put plugins in @pkglibdir@.
  * My e-mail address updated.
  * Bump standatd's version: no changes needed.
  * Package name updated: libxnconfig9.0.4 -> libxnconfig9.0.5
  * debian/{rules,control}: call autotools for a while. It would be better to
    fix this in the future.

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 21 Aug 2009 12:49:06 +0400

xneur (0.9.4-2) unstable; urgency=low

  * control: new Standards version: xneur-dbg section changed to debug.
  * rules: override lintian warning package-name-doesnt-match-sonames.
  * control: increase debhelper version in depends to allow dh_lintian using.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Fri, 22 May 2009 22:40:38 +0400

xneur (0.9.4-1) unstable; urgency=low

  * New Upstream Version
  * debian/patches updated to new version.
  * Bump package version (and name for lib).
  * xneur.README.Debian updated to last changes.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 22 Apr 2009 01:54:00 +0400

xneur (0.9.3-1) unstable; urgency=low

  * New Upstream Version
  * Bump package versions and names in debian/control.
  * 03_xneurrc.dpatch updated to new version.
  * debian/control: new Build-Depends: libimlib2-dev, libxpm-dev
  * 02_fix_build_gcc41.dpatch: Fix build with gcc 4.1

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sun, 11 Jan 2009 02:38:12 +0300

xneur (0.9.2-1) unstable; urgency=low

  * New Upstream Version
  * debian/rules: create symlink in doc with dh_link, not ln -s.
  * 03_xneurrc.dpatch updated to new xneur version.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Tue, 04 Nov 2008 02:10:05 +0300

xneur (0.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.9.1
  * README.Debian updated.
  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Fix manpages installation (upstream fixed error in manpage section,
    so we remove our workaround).
  * Depends on libxpm-dev.
  * debian/patches updated:
  * Update (g|k)XNeur versions in recommends.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 23 Jul 2008 23:21:46 +0400

xneur (0.8.0+svn20080310-3) unstable; urgency=low

  * 08_ftbfs_on_amd64_fix.dpatch: pointer might be invalidated before
    used in other thread. Fixed.
  * Added description for 04_manpages.dpatch.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Tue, 25 Mar 2008 10:13:28 +0300

xneur (0.8.0+svn20080310-2) unstable; urgency=low

  * Added 08_ftbfs_on_amd64_fix: fix for FTBFS on archs where
    size_of(int) != size_of(void *).

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Mon, 24 Mar 2008 14:24:59 +0300

xneur (0.8.0+svn20080310-1) unstable; urgency=low

  * Imported SVN snapshot 2008.03.10
  * Standards-Version: 3.7.3 (no changes needed).
  * Homepage, XS-Vcs-Git and XS-Vcs-Browser fields added.
  * Patches were updated to new upstream version.
  * 06_default_locale.dpatch removed: fixed upstream.
  * libxnconfig8 was renamed into libxnconfig9.
  * gXNeur/kXNeur versions in Recommends were updated.
  * Added libtool to build-depends.
  * Added 02_sigint_handle.dpatch: fix wrong sigint handle. Patch from
    upstream SVN (changeset r17).
  * Added copyright info about sounds.
  * Priority for xneur-dbg changed to extra.
  * Added patch 06_install_dict_dir: install dictionaries into
    /usr/share/xneur
  * Deal with old dictionaries in /etc/xneur: safely remove them in
    preinst and announce changes in xneur.NEWS.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sun, 23 Mar 2008 00:25:46 +0300

xneur (0.8.0-1) unstable; urgency=low

  * New upstream release
    + German and Kazakh languages added;
    + Sound notifications;
    + aspell support.
  * Patches updates:
    + 02_libxnconfig_version dropped: fixed upstream;
    + 04_manpages added: right section for xneurrc(5);
    + 07_create_configdir: create ~/.xneur if not exists;
    + other patches updated to new sources.
  * New build-depends: libaspell-dev, libgstreamer0.10-dev.
  * Updated recommends and conflicts (really libxnconfig should conflict
    with previous version, not xneur):
    + Updated frontends versions;
    + Use Conflicts/Provides/Replaces trick to ensure only one version of
      libxnconfig is installed.
  * Updated library version and library package name.
  * Installing manpages.
  * Added xneur-dbg package.
  * Some trash cleaned from debian dir (like comments from dh_make).
  * libxnconfig-dev depends on libaspell-dev.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sat, 20 Oct 2007 20:37:57 +0400

xneur (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Right fix for debian-rules-ignores-make-clean-error. Now it should be ok.
  * Updated patches: 05_libdir, 03_xneurrc, 10_shmem_incorrect_usage.
  * Added 02_libxnconfig_version.dpatch - set libxnconfig version to 7.0.0.
  * Changed libxnconfig6 package name to libxnconfig7.
  * Updated dependences in debian/control, added kxneur into recommended.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 18 Jul 2007 14:05:39 +0400

xneur (0.6.1-3) unstable; urgency=low

  * debian/rules: debian.changelog was missed, fixed.
  * debian/control: libxnconfig6-dev depends on libpcre-dev.
  * debian/rules: lintian warning debian-rules-ignores-make-clean-error fixed.
  * debian/control: lintian warning substvar-source-version-is-deprecated.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Tue, 10 Jul 2007 11:08:51 +0400

xneur (0.6.1-2) unstable; urgency=low

  * 10_shmem_incorrect_usage.dpatch added: correct usage of shmem. Should
    allow correct run of XNeur+frontend in multiuser environment.
  * Added some forgotten changelog entries for 0.6.1-1.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 30 May 2007 18:19:24 +0400

xneur (0.6.1-1) unstable; urgency=low

  * New upstream release:
    + libxnconfig changes;
    + pkg-config dependence;
    + some bugfixes.
  * libxnconfig version updated to 6.0.0, binary was renamed into
    libxnconfig6.
  * 07_keysym_include.dpatch dropped: fixed upstream.
  * watch file fixed.
  * 05_libdir.dpatch added: install library into /usr/lib, not /usr/lib/xneur.
  * 04_libxnconfig_libtool_call.dpatch dropped: fixed upstream.
  * 06_default_locale.dpatch added: do not switch locale to ru_RU.UTF-8 on
    start.
  * Don't install upstream ChangeLog, because it's not uptodate.
  * NEWS.Debian removed from xneur.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Tue, 22 May 2007 14:09:39 +0400

xneur (0.6.0-2) unstable; urgency=low

  * Patch 07_keysym_include to fix build in Dapper and Sarge.
  * Some fixes in debian/rules.
  * Upload to Debian (Closes: #406218).

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed,  9 May 2007 11:22:22 +0400

xneur (0.6.0-1) unstable; urgency=low

  * New upstream release
  * watch file fixed
  * Patches dropped:
    + 05_config_dir_permissions - fixed upstream
  * Description updated.
  * libxnconfig version updated to 5

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Fri, 27 Apr 2007 19:13:31 +0400

xneur (0.5.0-1) unstable; urgency=low

  * New upstream release
    + Regexps as dictionary entries
    + Belarusian language supported
    + Localised interface (Russian, English, Ukranian, Belarusian)
    + Per-window keyboard layout (as in GnomeWM)
    + New operations:
      # Cyrillic transliteration
      # Case switching
  * Patches dropped:
    + 02_install_header, 90_xneur_script: fixed upstream
  * Patches added:
    + 04_libxnconfig_libtool_call - Tell libtool to use pcre library when
      building libxnconfig.a
    + 05_config_dir_permissions - fix permissions of config dirs created in
      users's home
  * New build-depend: libpcre3-dev
  * watch file fixed.
  * Typos in description fixed (thanks to Dmitri Gabinski)
  * Menu item removed.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Thu, 22 Mar 2007 01:33:47 +0300

xneur (0.4.0-3) unstable; urgency=low

  * Bashism fixed in 90_xneur_script.dpatch.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Tue, 20 Feb 2007 23:54:50 +0300

xneur (0.4.0-2) unstable; urgency=low

  * Fixed some minor issues in package.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Tue, 23 Jan 2007 19:58:50 +0300

xneur (0.4.0-1) unstable; urgency=low

  * New upstream release
    + Ukrainian added to supported languages.
    + Beryl, Compiz, Ion and some other strange WM's now works (See DummyApp
      option in xneurrc).
    + Some other enhancements.
  * Patches dropped:
    + 01_no_chmod_on_etc: superseded by 01_config_installation
    + 05_config_in_home: fixed upstream
  * Patches added:
    + 01_config_installation: disable installation of xneurrc-ua and breaking
      of user's .xneurrc
    + 03_xneurrc: fix some other default options and descriptions

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Tue, 23 Jan 2007 12:36:49 +0300

xneur (0.3-4) unstable; urgency=low

  * Package description updated.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Thu, 11 Jan 2007 09:50:23 +0300

xneur (0.3-3) unstable; urgency=low

  * Fixed broken script /u/b/xneur. What happends with it?

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Mon,  1 Jan 2007 14:25:57 +0300

xneur (0.3-2) unstable; urgency=low

  * Binary packages was broken (libxnconfig.so was missed). Fixed.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Thu, 28 Dec 2006 19:06:37 +0300

xneur (0.3-1) unstable; urgency=low

  * New upstream release
  * New binary packages libxnconfig*
  * Patches against upstream:
    + 01_no_chmod_on_etc: Turn off chmoding for files in etc on make install.
    + 02_install_header: Install libxnconfig/config_main.h
    + 03_xneurrc: Change default LogLevel to Error.
    + 05_config_in_home: Using $HOME/.xneur instead of /etc/xneur
    + 90_xneur_script: xneur script. See README.Debian for details.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 27 Dec 2006 17:03:37 +0300

xneur (0.2.0-1) unstable; urgency=low

  * Initial release

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 13 Dec 2006 10:19:54 +0300

